% We clear aany previoiusly defined variables
clear

% We define the initial y-value
y_initial =1;
% We define the time at which we wish to start integrating
t_min = 0;
% We define the time at which we wish to stop integrating
t_max = 25;
% This is the step size used in Euler's method
step_size =.1;

[Time, Y_values] = EulersMethod( y_initial, t_min, t_max, step_size );

% We plot Euler's Method
figure 
plot(Time,Y_values)


% The last element produced in Euler's method has the following index 
index = length(Time);

% We output the final T value  
disp('Final time is: ')
disp(Time(index))


% We output the final Y value 
disp('Final Y-value is: ')
disp(Y_values(index))



